コンテンツにスキップ

注文伝票印刷

POST
/store_print/{store_id}/order_slip
curl --request POST \
--url https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/store_print/example/order_slip \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "appName": "サンプルプラットフォームアプリ名", "slipType": "newOrder", "headerTitle": "受渡時間\n2025/06/09 14:05\n引換券番号\nX00001898", "headerContents": "お渡しまでの時間 19分\n注文時間 2025/06/09 12:30", "items": [ { "menuId": null, "name": "ラーメン", "sellingPrice": "600", "quantity": 2, "subtotalPrice": "1200", "priceOptions": null, "note": null, "courseItems": null, "toppings": null, "customOrderContents": null }, { "menuId": null, "name": "目玉焼き", "sellingPrice": "500", "quantity": 2, "subtotalPrice": "1000", "priceOptions": null, "note": null, "courseItems": null, "toppings": [ { "name": "七味", "sellingPrice": "50", "quantity": 2, "subtotalPrice": "100" } ], "customOrderContents": null } ], "subtotalPrice": "2300", "subtotalPriceOptions": null, "totalPrice": "2300", "totalPriceOptions": null, "totalQuantity": 6, "footerTitle": "配達情報", "footerContents": "配達方法:配達代行" }'

注文伝票の印刷を実行します。
※ null指定が可能な項目について、nullを指定した場合は項目が印字されません
※ 店舗に登録されたホールプリンターから印刷されます
※ 明細にメニューIDが指定されている場合、メニューの印刷対象伝票の注文伝票の設定が適用されます

store_id
required
string

店舗ID

Media typeapplication/json
NewOrderSlip

新規注文伝票印刷APIのリクエストスキーマ

object
appName
required

アプリ名
伝票に印字するアプリ名を指定してください。

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
  • 不可視文字のみの登録はできません
string
>= 1 characters <= 85 characters
slipType
required

伝票種別

  • newOrder: 新規注文
  • addOrder: 追加注文
  • changeQuantity: 数量変更
  • cancelOrder: 注文キャンセル

選択した伝票種別に応じた伝票名が印字されます。
※ 注文キャンセルを指定した場合、印字の際に数量と明細小計の符号が反転します

string
Allowed values: newOrder addOrder changeQuantity cancelOrder
headerTitle

ヘッダータイトル

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
string
nullable >= 1 characters <= 85 characters
headerContents

ヘッダー内容

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
string
nullable >= 1 characters <= 1000 characters
items
required

明細
印字時に、ウェイターの店舗に設定したアプリ設定が適用されます。

Array<object>
>= 1 items <= 100 items
OrderSlipItem

注文伝票明細情報

object
menuId

メニューID

string
nullable
name
required

メニュー名

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
  • 不可視文字のみの登録はできません
string
>= 1 characters <= 85 characters
sellingPrice

販売単価
-99999999 ~ 99999999 の範囲の整数値を指定してください

string
nullable >= 1 characters <= 9 characters /^(0|-?[1-9]\d{0,7})$/
quantity

数量

integer
nullable >= 1 <= 9999
subtotalPrice

明細小計金額
-999999999999 ~ 999999999999 の範囲の整数値を指定してください

string
nullable >= 1 characters <= 13 characters /^(0|-?[1-9]\d{0,11})$/
priceOptions

明細オプション金額
印刷の際は各明細の下に印字されます。

Array<object>
nullable >= 1 items <= 10 items
object
key
required

項目名

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
  • 不可視文字のみの登録はできません
string
>= 1 characters <= 50 characters
value
required

金額
-99999999 ~ 99999999 の範囲の整数値を指定してください

string
>= 1 characters <= 9 characters /^(0|-?[1-9]\d{0,7})$/
note

メモ

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
string
nullable >= 1 characters <= 1000 characters
courseItems

コース内容

Array<object>
nullable >= 1 items <= 10 items
object
menuId

メニューID

string
nullable
name
required

メニュー名

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
  • 不可視文字のみの登録はできません
string
>= 1 characters <= 85 characters
sellingPrice

販売単価
-99999999 ~ 99999999 の範囲の整数値を指定してください

string
nullable >= 1 characters <= 9 characters /^(0|-?[1-9]\d{0,7})$/
quantity

数量

integer
nullable >= 1 <= 9999
subtotalPrice

明細小計金額
-999999999999 ~ 999999999999 の範囲の整数値を指定してください

string
nullable >= 1 characters <= 13 characters /^(0|-?[1-9]\d{0,11})$/
note

メモ

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
string
nullable >= 1 characters <= 1000 characters
toppings

トッピング

Array<object>
nullable >= 1 items <= 10 items
object
name
required

メニュー名

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
  • 不可視文字のみの登録はできません
string
>= 1 characters <= 85 characters
sellingPrice

販売単価
-99999999 ~ 99999999 の範囲の整数値を指定してください

string
nullable >= 1 characters <= 9 characters /^(0|-?[1-9]\d{0,7})$/
quantity

数量

integer
nullable >= 1 <= 9999
subtotalPrice

明細小計金額
-999999999999 ~ 999999999999 の範囲の整数値を指定してください

string
nullable >= 1 characters <= 13 characters /^(0|-?[1-9]\d{0,11})$/
customOrderContents

お好みオーダー内容

Array<object>
nullable >= 1 items <= 10 items
object
name
required

お好みオーダー名

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
  • 不可視文字のみの登録はできません
string
>= 1 characters <= 85 characters
subtotalPrice

小計金額
-9999999999999999 ~ 9999999999999999 の範囲の整数値を指定してください

string
nullable >= 1 characters <= 17 characters /^(0|-?[1-9]\d{0,15})$/
subtotalPriceOptions

小計オプション金額
印刷の際は小計の下に印字されます。

Array<object>
nullable >= 1 items <= 10 items
object
key
required

項目名

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
  • 不可視文字のみの登録はできません
string
>= 1 characters <= 50 characters
value
required

金額
-99999999 ~ 99999999 の範囲の整数値を指定してください

string
>= 1 characters <= 9 characters /^(0|-?[1-9]\d{0,7})$/
totalPrice

合計金額
-99999999999999999 ~ 99999999999999999 の範囲の整数値を指定してください

string
nullable >= 1 characters <= 18 characters /^(0|-?[1-9]\d{0,16})$/
totalPriceOptions

合計オプション金額
印刷の際は合計の下に印字されます。

Array<object>
nullable >= 1 items <= 10 items
object
key
required

項目名

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
  • 不可視文字のみの登録はできません
string
>= 1 characters <= 50 characters
value
required

金額
-99999999 ~ 99999999 の範囲の整数値を指定してください

string
>= 1 characters <= 9 characters /^(0|-?[1-9]\d{0,7})$/
totalQuantity

合計点数

integer
nullable >= 1 <= 99999
footerTitle

フッタータイトル

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
string
nullable >= 1 characters <= 85 characters
footerContents

フッター内容

  • 絵文字など、UTF-8で4バイトとして扱われる文字は使用できません
string
nullable >= 1 characters <= 1000 characters
Examples
Exampleリクエスト例
{
"appName": "サンプルプラットフォームアプリ名",
"slipType": "newOrder",
"headerTitle": "受渡時間\n2025/06/09 14:05\n引換券番号\nX00001898",
"headerContents": "お渡しまでの時間 19分\n注文時間 2025/06/09 12:30",
"items": [
{
"menuId": null,
"name": "ラーメン",
"sellingPrice": "600",
"quantity": 2,
"subtotalPrice": "1200",
"priceOptions": null,
"note": null,
"courseItems": null,
"toppings": null,
"customOrderContents": null
},
{
"menuId": null,
"name": "目玉焼き",
"sellingPrice": "500",
"quantity": 2,
"subtotalPrice": "1000",
"priceOptions": null,
"note": null,
"courseItems": null,
"toppings": [
{
"name": "七味",
"sellingPrice": "50",
"quantity": 2,
"subtotalPrice": "100"
}
],
"customOrderContents": null
}
],
"subtotalPrice": "2300",
"subtotalPriceOptions": null,
"totalPrice": "2300",
"totalPriceOptions": null,
"totalQuantity": 6,
"footerTitle": "配達情報",
"footerContents": "配達方法:配達代行"
}

Accepted

Media typeapplication/json
object
Examplegenerated
{}
  • リクエストパラメーターが不正
    • 指定されたメニューIDが存在しない、または店舗で取り扱わない場合
    • 不正なフォーマットの値を指定した場合
  • 休止中の店舗IDが指定された場合
  • 指定の店舗にウェイターターミナルが登録されていない場合
Media typeapplication/problem+json
object
title
required
string
type
required
string
status
integer
detail
string
Examples
{
"type": "about:blank",
"title": "Bad Request",
"detail": "(エラー内容の説明メッセージ)",
"status": 400
}

指定した店舗が存在しない場合

Media typeapplication/problem+json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{
"title": "example",
"type": "example",
"status": 1,
"detail": "example"
}